SessionControllerKeepAlive Method |
POST /Session/KeepAlive/
Keep the current session, or a specified session, alive.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("KeepAlive")]
public IActionResult KeepAlive(
[FromBodyAttribute] KeepAliveSessionOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("KeepAlive")>
Public Function KeepAlive (
<FromBodyAttribute> options As KeepAliveSessionOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"KeepAlive")]
IActionResult^ KeepAlive(
[FromBodyAttribute] KeepAliveSessionOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("KeepAlive")>]
member KeepAlive :
[<FromBodyAttribute>] options : KeepAliveSessionOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsKeepAliveSessionOptions
The optional information to keep the session alive. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
See Also